---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: gitlab
  labels:
    app: gitlab
spec:
  serviceName: gitlab
  replicas: 1
  selector:
    matchLabels:
      app: gitlab
  template:
    metadata:
      labels:
        app: gitlab
    spec:
      serviceAccountName: gitlab
      containers:
        - name: gitlab
          image: gitlab/gitlab-ce:12.5.0-ce.0 #12.3.6-ce.0 12.4.2-ce.0 12.4.3-ce.0 //// 12.5.0-ce.0
          imagePullPolicy: IfNotPresent
          env:
          - name: GITLAB_OMNIBUS_CONFIG 
            value: "external_url 'http://gitlab.gitlab-dev.svc/'; unicorn['socket'] = '/opt/gitlab/var/unicorn/gitlab.socket'"
          volumeMounts:
            - name: config-volume
              mountPath: /etc/gitlab
            - name: logs-volume
              mountPath: /var/log/gitlab
            - name: data-volume
              mountPath: /var/opt/gitlab
          ports:
            - name: http-web
              containerPort: 80
            - name: tcp-ssh
              containerPort: 22
            - name: http-reg
              containerPort: 5050
          resources:
            limits:
              cpu: "2"
              memory: "2Gi"
            requests:
              cpu: "2"
              memory: "2Gi"
      volumes:
        - name: config-volume
          persistentVolumeClaim:
            claimName: local-path-config-pvc
        - name: logs-volume
          persistentVolumeClaim:
            claimName: local-path-logs-pvc
        - name: data-volume
          persistentVolumeClaim:
            claimName: local-path-data-pvc
